/*-----------------------------------------------------------------------
	Warp-GGI

	General Graphics Interface demo
	Realtime picture 'gooing'

	rawpict.h: definitions for picture files management

	written by Emmanuel Marty <emarty@mirus.fr>
	November 1st, 1997

	Released under GNU Public License
-----------------------------------------------------------------------*/

#ifndef RAWPICT_H
#define RAWPICT_H

#define RPREAD_NOMEM	-1	/* not enough memory */
#define RPREAD_NOFILE	-2	/* couldn't open file */
#define RPREAD_READERR	-3	/* error while reading data in file */

struct raw_pict {
	int width, height;
	int depth;
	ggi_color *clut;
	void *framebuf;
};

#endif
